#ifndef _CA_LIFE_H_
#define _CA_LIFE_H_


#ifndef _SCRIPTOBJECTS_H_
#include "console/scriptObjects.h"
#endif
#include "blocks/ca.h"



class CaLife : public CaModel
{
   typedef ScriptObject Parent;

public:
   CaLife();
   bool onAdd();
   void onRemove();

   DECLARE_CONOBJECT(CaLife);

protected:
    virtual int rule( int i, int j );


  
};

#endif
